.card-container {
  background-color: #fff;
  padding: 78px 103px;
  border-radius: var(--radius);
}

.swiper-wrapper .main-card-item {
  display: block;
  height: 660px;
  /* width: 390px !important; */
  background: #fff;
  color: #fff;
  padding: 40px 30px;
  user-select: none;
  border-radius: var(--radius);
  text-decoration: none;
  transition: 0.2s ease;
  list-style: none;
}

.swiper-wrapper .card-item-1 {
  background-color: #4528c5;
}
.swiper-wrapper .card-item-2 {
  background-color: #8906f8;
}
.swiper-wrapper .card-item-3 {
  background-color: #59b8ab;
}
.swiper-wrapper .card-item-4 {
  background-color: #f2af00;
}
.swiper-wrapper .card-item-5 {
  background-color: #bbe3ff;
}
.swiper-wrapper .card-item-6 {
  background-color: #ffe8a3;
}

.main-card-item .card-text{
	word-break: keep-all;
	line-height: 1.5;
}
.main-card-item .card-text:nth-child(1) {
  font-size: 16px;
}
.main-card-item .card-text:nth-child(1):before {
  content: '·';
  display: inline-block;
  margin: 0 10px;
}
.main-card-item .card-text:nth-child(2) {
  font-size: var(--font-6xl);
  margin: 20px 0 40px;
}
.main-card-item .card-text:nth-child(3) {
  display: -webkit-box;
  height: calc(var(--font-l) * 1.5 * 2); 
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden; 
  text-overflow: ellipsis; 
  font-size: var(--font-l);
  font-weight: 500;
}

.main-card-img {
  width: 100%;
  position: absolute;
  left: 50%;
  top: 75%;
  transform: translate(-50%, -50%);
  display: flex;
  justify-content: center;
}

.swiper-btn-box {
  width: fit-content;
  height: 55px;
  margin: 0 auto;
  padding: 0 10px;
  margin-top: 50px;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  border: 1px solid #e3e3e3;
  border-radius: 50px;
}

.swiper-pagination {
  position: static;
  font-size: 18px;
  font-weight: 600;
  color: #111111;
  width: auto !important;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 12px;
}

.swiper-pagination-bullet {
	display: inline-block;
	margin: 0;
	width: 6px;
	height: 6px;
	background: rgba(0, 0, 0, .2);
	opacity: 1;
  	border-radius: 10px;
  	transition: .3s;
}
.swiper-pagination-bullet-active {
	width: 48px;
	background: var(--primary-color);
}
.swiper-button-lock {
	display: flex;
}
.swiper-button-prev,
.swiper-button-next {
  position: static;
  width: 44px;
  height: 44px;
  margin: 0;
}

@media (max-width: 1440px) {
  .card-container {
    padding: 70px;
  }
  .swiper-wrapper .main-card-item{
	padding: 40px 30px;
  }
  .main-card-item .card-text br{
	display: none;
  }
}
@media (max-width: 1024px) {
  .card-container {
    padding: 50px;
  }
  .swiper-wrapper .main-card-item {
    height: 500px;
  }
  .main-card-img img {
    width: 130px;
    height: auto;
  }
}

@media (max-width: 768px) {
  .card-container {
    padding: 30px 20px;
  }
}
